Page MenuHomePhabricator

[Task] Add a new datatype for identifiers
Closed, ResolvedPublic

Description

Identifiers should get their own datatype. The value type would continue to be string.

NOTE: The new datatype can be defined without providing specialized formatters, parsers, or validators. It would fall back to basic handling for strings, just as before.

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 1:12 PM
Lydia_Pintscher renamed this task from create new datatype for identifiers to add a new datatype for identifiers.Apr 10 2015, 1:13 PM
Lydia_Pintscher set Security to None.
Jonas renamed this task from add a new datatype for identifiers to [Story] Add a new datatype for identifiers.Aug 13 2015, 2:52 PM
Jonas removed a project: Epic.
Laddo added a subscriber: Laddo.Aug 19 2015, 1:33 PM
daniel updated the task description. (Show Details)Sep 16 2015, 2:46 PM
Jonas renamed this task from [Story] Add a new datatype for identifiers to [Task] Add a new datatype for identifiers.Nov 23 2015, 3:16 PM

Change 258460 merged by jenkins-bot:
Define external-id datatype

https://gerrit.wikimedia.org/r/258460

Note: https://gerrit.wikimedia.org/r/258460 defines the new data type, but doesn't yet provide RDF mapping or extended JSON output for the new data type.

hoo closed this task as Resolved.Dec 20 2015, 1:11 AM
hoo claimed this task.

I consider this done, as it explicitly only ask for the data type.